
# BEGIN SIS3820.cmd ----------------------------------------------------------

# SIS 3820 multichannel scaler

# Configuration
epicsEnvSet("SIS3820_PREFIX_1",      "x7ida:mcs:")
epicsEnvSet("SIS3820_RNAME_1",       "mca")
epicsEnvSet("SIS3820_MAX_SIGNALS_1", "1")
epicsEnvSet("SIS3820_MAX_CHANS_1",   "2000000")
epicsEnvSet("SIS3820_PORT_1",        "mcaSIS3820/1")

# Null asyn port for simulation of SIS 3820 MCS
drvAsynIPPortConfigure("$(SIS3820_PORT_1)","127.0.0.1:50000",0,1,0)
asynSetTraceMask("$(SIS3820_PORT_1)",0,0x0)
asynSetTraceIOMask("$(SIS3820_PORT_1)",0,0x0)

# This loads the scaler record and supporting records
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/scaler32.db", "P=x7ida:, S=scaler1, DTYP=Asyn Scaler, OUT=@asyn($(SIS3820_PORT_1)), FREQ=50000000")

# This database provides the support for the MCS functions
dbLoadRecords("$(MCA)/mcaApp/Db/SIS38XX.template", "P=$(SIS3820_PREFIX_1), PORT=$(SIS3820_PORT_1), SCALER=x7ida:scaler1")

# Load the MCA records
# (The number of records loaded must be the same as SIS3820_MAX_SIGNALS_1
# defined above)
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)1,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 0),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)2,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 1),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)3,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 2),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)4,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 3),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)5,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 4),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)6,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 5),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)7,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 6),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)8,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 7),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)9,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 8),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)10, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 9),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)11, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 10), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)12, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 11), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)13, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 12), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)14, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 13), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)15, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 14), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)16, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 15), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)17, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 16), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)18, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 17), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)19, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 18), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)20, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 19), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)21, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 20), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)22, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 21), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)23, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 22), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)24, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 23), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)25, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 24), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)26, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 25), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)27, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 26), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)28, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 27), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)29, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 28), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)30, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 29), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)31, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 30), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_1), M=$(SIS3820_RNAME_1)32, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_1) 31), PREC=3, CHANS=$(SIS3820_MAX_CHANS_1)")

# END SIS3820.cmd ------------------------------------------------------------
