
# BEGIN SIS3820.cmd ----------------------------------------------------------

# SIS 3820 multichannel scaler

# Configuration
epicsEnvSet("SIS3820_PREFIX_2",      "x7idb:mcs:")
epicsEnvSet("SIS3820_RNAME_2",       "mca")
epicsEnvSet("SIS3820_MAX_SIGNALS_2", "1")
epicsEnvSet("SIS3820_MAX_CHANS_2",   "2000000")
epicsEnvSet("SIS3820_PORT_2",        "mcaSIS3820/2")

# Null asyn port for simulation of SIS 3820 MCS
drvAsynIPPortConfigure("$(SIS3820_PORT_2)","127.0.0.1:50001",0,1,0)
asynSetTraceMask("$(SIS3820_PORT_2)",0,0x0)
asynSetTraceIOMask("$(SIS3820_PORT_2)",0,0x0)

# This loads the scaler record and supporting records
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/scaler32.db", "P=x7idb:, S=scaler1, DTYP=Asyn Scaler, OUT=@asyn($(SIS3820_PORT_2)), FREQ=50000000")

# This database provides the support for the MCS functions
dbLoadRecords("$(MCA)/mcaApp/Db/SIS38XX.template", "P=$(SIS3820_PREFIX_2), PORT=$(SIS3820_PORT_2), SCALER=x7idb:scaler1")

# Load the MCA records
# (The number of records loaded must be the same as SIS3820_MAX_SIGNALS_2
# defined above)
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)1,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 0),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)2,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 1),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)3,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 2),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)4,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 3),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)5,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 4),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)6,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 5),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)7,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 6),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)8,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 7),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)9,  DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 8),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)10, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 9),  PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)11, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 10), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)12, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 11), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)13, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 12), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)14, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 13), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)15, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 14), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)16, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 15), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)17, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 16), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)18, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 17), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)19, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 18), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)20, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 19), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)21, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 20), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)22, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 21), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)23, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 22), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)24, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 23), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)25, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 24), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)26, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 25), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)27, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 26), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)28, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 27), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)29, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 28), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)30, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 29), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)31, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 30), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")
dbLoadRecords("$(MCA)/mcaApp/Db/simple_mca.db", "P=$(SIS3820_PREFIX_2), M=$(SIS3820_RNAME_2)32, DTYP=asynMCA, INP=@asyn($(SIS3820_PORT_2) 31), PREC=3, CHANS=$(SIS3820_MAX_CHANS_2)")

# END SIS3820.cmd ------------------------------------------------------------
