# BEGIN remote_shutter.cmd ---------------------------------------------------

# Remote Shutter Control (for A and B shutter)
#    Used to 'Open' and 'Close' the shutters using the remote shutter
#    control box.
# Macros:
#   BN=xx BL=xx where PA:$(BN)$(BL):$(S)_SHTRS_CLOSED (Operations PV)
#            example: PA:01ID:A_SHTRS_CLOSED
#   S=Sector Hutch Name [A,B,C,D]
#   PPS=PPS Hutch Name (usually the same as S)
#   B1 = Acromag output bit number for 'open' operation
#   B2 = Acromag output bit number for 'close' operation
#   Note: Acromag PVs for Shutter.db are loaded via Acromag_16IO.db in vme.cmd

dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/Shutter.db","P=x7idb:,BN=x7,BL=ID,S=A,PPS=A,B1=0,B2=1")
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/Shutter.db","P=x7idb:,BN=x7,BL=ID,S=B,PPS=B,B1=2,B2=3")

# END remote_shutter.cmd -----------------------------------------------------
