
# BEGIN serial.cmd -----------------------------------------------------------

# Oxford Danfysik IC PLUS, QBPM (BPM 2)
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/bpm.db","P=x7idb:,D=Bpm2")

# Oxford Danfysik IC PLUS, QBPM (BPM 3)
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/bpm.db","P=x7idb:,D=Bpm3")

# BPMs intensity simulation
dbLoadTemplate("intensity.substitutions")

#
# XIA PFCU-4 Filter Rack
#
# Asyn TCP/IP port for communication with XIA PFCU-4 simulator
drvAsynIPPortConfigure("ipClientXiaPfcu4","127.0.0.1:50439",0,0,0)
epicsThreadSleep(1.0) # avoid warning message about already being connected
asynOctetSetInputEos("ipClientXiaPfcu4",0,"\r\n")
asynOctetSetOutputEos("ipClientXiaPfcu4",0,"\r")
asynSetTraceMask("ipClientXiaPfcu4",0,0x0)
# Xia-pfcu-4 databases (from xia-pfcu-4 driver)
dbLoadRecords("$(IMCAXIAPFCU4_APP)/imcaXiaPfcu4App/Db/xia-pfcu-4.db","P=x7idb:,D=XiaPfcu1,ID=01,PORT=ipClientXiaPfcu4,DESC='17-ID No. 1'")
dbLoadRecords("$(IMCAXIAPFCU4_APP)/imcaXiaPfcu4App/Db/xia-pfcu-4.db","P=x7idb:,D=XiaPfcu2,ID=02,PORT=ipClientXiaPfcu4,DESC='17-ID No. 2'")
dbLoadRecords("$(IMCAXIAPFCU4_APP)/imcaXiaPfcu4App/Db/xia-pfcu-4x2.db","P=x7idb:,D=FltrRak1,D1=XiaPfcu1,D2=XiaPfcu2,DESC='17-ID No. 1'")
# ImcaXiaPfcu4 attenuation coefficients breakpoint table
dbLoadDatabase("$(TOP)/dbd/bptImcaXiaPfcu4AC.dbd")
# ImcaXiaPfcu4 database
dbLoadRecords("$(IMCAXIAPFCU4_APP)/imcaXiaPfcu4App/Db/imcaXiaPfcu4x2.db","P=x7idb:,D=FltrRak1,E=x7ida:EnergyInEv,R=1,MAXA=99.9,FMA=Aluminum,T1=10,T2=20,T3=40,T4=80,T5=150,T6=300,T7=600,T8=1200,MAXT=2400")

#
# ROeNTEC XFlash
#
# Asyn port
#
drvAsynIPPortConfigure("ipClientXFlash","127.0.0.1:50431",0,0,0)
asynOctetSetInputEos("ipClientXFlash",0,"\r")
asynOctetSetOutputEos("ipClientXFlash",0,"\r")
#asynSetTraceMask("ipClientXFlash",0,0x19)
#asynSetTraceIOMask("ipClientXFlash",0,4)
#asynSetTraceIOTruncateSize("ipClientXFlash",0,20000)
#
# ROeNTEC XFlash MCA
#
RontecConfig("Rontec1","ipClientXFlash",0)
dbLoadRecords("$(MCA)/mcaApp/Db/mca.db","P=x7idb:,M=mca1,NCHAN=4096,DTYP=asynMCA,INP=@asyn(Rontec1)")
dbLoadRecords("$(MCA)/mcaApp/Db/RontecXFlash.db","P=x7idb:,R=Rontec1,PORT=ipClientXFlash")
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=x7idb:,R=asyn_ipClientXFlash,PORT=ipClientXFlash,ADDR=0,OMAX=256,IMAX=256")
#
# ROeNTEC XFlash MCA ROI Sum (ROI sum acquisition rather than full spectrum)
#
dbLoadRecords("$(TOP)/sim17idApp/Db/roentec-xflash.db","P=x7idb:,D=xflash1,PORT=ipClientXFlash,DESC='17-ID-B'")

# END serial.cmd -------------------------------------------------------------
