# Increase error logging message queue size and message size (must do this
# before anything else calls errlogInit or errlogInit2) so do this as early as
# possible.
errlogInit2(20480, 1024)

# Specify largest array CA will transport
# Note for N sscanRecord data points, need (N+1)*8 bytes, else MEDM
# plot doesn't display
epicsEnvSet("EPICS_CA_MAX_ARRAY_BYTES","64008")

< envPaths

dbLoadDatabase("$(TOP)/dbd/sim17id.dbd")
sim17id_registerRecordDeviceDriver(pdbbase)

dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/aps-sr.db")
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/aps-undulator.db","U=IDx7ds:,S=x7")
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/aps-shutters.db","BL=x7ID")

var aCalcArraySize 8000

cd 17ida
< st-before-iocInit.cmd
cd ..
cd 17idb
< st-before-iocInit.cmd
cd ..

# Set shell prompt
epicsEnvSet("IOCSH_PS1","sim17id> ")

iocInit()

cd 17ida
< st-after-iocInit.cmd
cd ..
cd 17idb
< st-after-iocInit.cmd
cd ..

dbcar("*",1)
