#!/bin/sh

if [ "X$1" = 'X' ]; then
  echo 'Error: expected at least one command line argument' 1>&2
  echo 'Usage: get-all-sscan-fields.sh [PV_PREFIX] SSCAN_NAME' 1>&2
  echo 'PV_PREFIX defaults to "x7id:" if not specified' 1>&2
  echo 'Example: get-all-sscan-fields.sh scan1' 1>&2
  exit 1
fi

if [ "X$2" = 'X' ]; then
  pvPrefix='x7id:'
  sscanName="$1"
else
  pvPrefix="$1"
  sscanName="$2"
fi

sscanFields='
NPTS
PASM
REFD
BSPV
BSCD
BSWAIT
ASPV
ASCD
ASWAIT
A1PV
A1CD
P1PV
P1SM
P1AR
P2PV
P2SM
P2AR
P3PV
P3SM
P3AR
P4PV
P4SM
P4AR
R1PV
R1DL
R2PV
R2DL
R3PV
R3DL
R4PV
R4DL
P1SP
P1EP
P1CP
P1WD
P1SI
P2SP
P2EP
P2CP
P2WD
P2SI
P3SP
P3EP
P3CP
P3WD
P3SI
P4SP
P4EP
P4CP
P4WD
P4SI
FPTS
FFO
P1FS
P1FE
P1FI
P1FC
P1FW
P2FS
P2FE
P2FI
P2FC
P2FW
P3FS
P3FE
P3FI
P3FC
P3FW
P4FS
P4FE
P4FI
P4FC
P4FW
P1PA
P2PA
P3PA
P4PA
T1PV
T1CD
T2PV
T2CD
T3PV
T3CD
T4PV
T4CD
WAIT
AWCT
AWAIT
ACQM
ACQT
'

echo $sscanFields | \
  sed -e "s!^!${pvPrefix}${sscanName}.!" \
    -e "s! ! ${pvPrefix}${sscanName}.!g" | \
  xargs caget
